## ros-indigo-summit-xl-common 1.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(summit_xl_common)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-summit-xl-common (1.0.10-0trusty) trusty; urgency=high

  * 1.0.9
  * updated changelog
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Wed, 31 Aug 2016 22:00:00 -0000

ros-indigo-summit-xl-common (1.0.9-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 23 Aug 2016 22:00:00 -0000

ros-indigo-summit-xl-common (1.0.8-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-indigo-summit-xl-common (1.0.7-0trusty) trusty; urgency=high

  * updated changelog
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-indigo-summit-xl-common (1.0.6-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 11 Jul 2016 22:00:00 -0000

ros-indigo-summit-xl-common (1.0.5-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 04 Jul 2016 22:00:00 -0000

ros-indigo-summit-xl-common (1.0.4-0trusty) trusty; urgency=high

  * added dependency
  * Contributors: carlos3dx

 -- Carlos Villar <cvillar@robotnik.es>  Wed, 29 Jun 2016 22:00:00 -0000

ros-indigo-summit-xl-common (1.0.3-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Tue, 28 Jun 2016 22:00:00 -0000

ros-indigo-summit-xl-common (1.0.2-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 27 Jun 2016 22:00:00 -0000

ros-indigo-summit-xl-common (1.0.1-0trusty) trusty; urgency=high

  * indigo-1.0.0
  * Merge branch 'indigo-devel' of https://github.com/RobotnikAutomation/summit_xl_common into indigo-devel
    Conflicts:
    summit_xl_localization/launch/navsat_transform_node.launch
  * New summit_xl_description and summit_xl_pad. HL version still not added
  * Contributors: Dani Carbonell, mcantero, rguzman
  * Merge branch 'indigo-devel' of https://github.com/RobotnikAutomation/summit_xl_common into indigo-devel
    Conflicts:
    summit_xl_localization/launch/navsat_transform_node.launch
  * New summit_xl_description and summit_xl_pad. HL version still not added
  * Contributors: Dani Carbonell, rguzman

 -- Carlos Villar <cvillar@robotnik.es>  Mon, 27 Jun 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-summit-xl-common
Section: misc
Priority: extra
Maintainer: Carlos Villar <cvillar@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/summit_xl_common
Standards-Version: 3.9.2

Package: ros-indigo-summit-xl-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-summit-xl-description, ros-indigo-summit-xl-localization, ros-indigo-summit-xl-navigation, ros-indigo-summit-xl-pad
Description: URDF description of the Summit XL and Summit XL HL, platform messages and other files for simulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-summit-xl-common//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
